resume:
  name:
  - Bree
  - LaPointe
  title: 'Senior Software Engineer'
  contact:
   links:
   - text: contact@blapointe.com
     link: mailto:contact@blapointe.com
     svg: '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="width: 13pt; height: 13pt; fill: rgb(82, 82, 82);"><path d="M64 112c-8.8 0-16 7.2-16 16v22.1L220.5 291.7c20.7 17 50.4 17 71.1 0L464 150.1V128c0-8.8-7.2-16-16-16H64zM48 212.2V384c0 8.8 7.2 16 16 16H448c8.8 0 16-7.2 16-16V212.2L322 328.8c-38.4 31.5-93.7 31.5-132 0L48 212.2zM0 128C0 92.7 28.7 64 64 64H448c35.3 0 64 28.7 64 64V384c0 35.3-28.7 64-64 64H64c-35.3 0-64-28.7-64-64V128z"></path></svg>'
   - text: (336) 701 - 6159
     link: tel:3367016159
     svg: '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="width: 13pt; height: 13pt; fill: rgb(82, 82, 82);"><path d="M164.9 24.6c-7.7-18.6-28-28.5-47.4-23.2l-88 24C12.1 30.2 0 46 0 64C0 311.4 200.6 512 448 512c18 0 33.8-12.1 38.6-29.5l24-88c5.3-19.4-4.6-39.7-23.2-47.4l-96-40c-16.3-6.8-35.2-2.1-46.3 11.6L304.7 368C234.3 334.7 177.3 277.7 144 207.3L193.3 167c13.7-11.2 18.4-30 11.6-46.3l-40-96z"></path></svg>'
   - text: Provo, UT
     svg: '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="width: 13pt; height: 13pt; fill: rgb(82, 82, 82);"><path d="M215.7 499.2C267 435 384 279.4 384 192C384 86 298 0 192 0S0 86 0 192c0 87.4 117 243 168.3 307.2c12.3 15.3 35.1 15.3 47.4 0zM192 128a64 64 0 1 1 0 128 64 64 0 1 1 0-128z"></path></svg>'
   - text: linkedin.com/in/lapoba16
     link: https://linkedin.com/in/lapoba16
     svg: '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" style="width: 13pt; height: 13pt; fill: rgb(82, 82, 82);"><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"></path></svg>'
  headings:
  - title: Skills
    what:
    - 'Languages: Golang, Bash, Python3'
    - 'Platforms: Docker, Hashicorp, Linux/Unix, AWS, Jenkins, REST, Microservices, Git'
    - 'Datastores: MongoDB, Redis, S3, Couchbase, DynamoDB'
  - title: Work Experience
    headings:
    - title: Qualtrics
      headings:
      - title: Senior Software Engineer, Team Lead
        when: May 2022 - Present
        what:
        - Mentored entry and mid-level engineers on stability, clean code, and distributed systems.
        - Hosted engineering book and white paper clubs for continuous improvement and cross-team experience sharing for 2 years.
        - Recovered 98% of data lost in critical incident via coordinating cross team efforts and dissecting native database operation logs.
      - title: Software Engineer II
        when: Oct 2019 - May 2022
        what:
        - Developed and owned highly available and reliable data storage and operational tooling.
        - Mentored 2 interns, 2 new hires, and 3 mid-level cross team engineers on operational tools, maintainable software, and career development.
        - Genericized AWS asset management tooling ahead of company-wide mass migration initiative.
        - Championed disaster recovery by supporting training runs with documentation, tools, and live support across teams and enforced continuous compliance for 17 database clusters with monitoring and alerting.
        - Lent expertise owning MongoDB across teams by advising on configuration and data models and genericizing disaster recovery tooling for 21 teams.
      - title: Software Engineer I
        when: Feb 2018 - Oct 2019
        what:
        - Automated no-downtime system patching for 30 services and 25 database clusters by creating a modular and testable scripting framework.
        - Raised backend service's availability to 99.99% and reduced hardware costs by 40% by selecting, training team on, and live migrating to a different datastore.
  - title: Education
    headings:
    - title: Wake Forest University
      when: Dec 2017
      what:
      - Master of Science in Computer Science - 3.88/4.00
    - title: High Point University
      when: Dec 2015
      what:
      - Bachelor of Arts in Computer Science - 3.91/4.00
  - title: Publications
    headings:
    - title: Arabidopsis thaliana computationally-generated next-state gene interaction models
      when: Jun 2018
      what:
      - Refactored to correct bugs and improve efficiency by orders of magnitude
